
# This script should be "copied up" and ran from a
# directory "above" the main working directories of
# ${updateToolsDir}.
# This is typically the users ${HOME} directory

# have to code this here, not include, 
# since normally the properties.shsource is in a different directory
updateToolsDir=org.eclipse.wtp.releng.webupdatesite

echo " "
echo "   Removing old ${updateToolsDir} and exporting fresh HEAD versions." 
echo " "

rm -fr ${updateToolsDir}
echo " "

# ISSUE: we should move away from using 'head' version
# Note: we can use "local host" since we are running on the same cluser as the cvs server
# otherwise, if running remotely, localhos should be changed to 'dev.eclpise.org'
cvs -Q -f -d :pserver:anonymous@dev.eclipse.org:/cvsroot/webtools export -r HEAD ${updateToolsDir}

dos2unix -q ${updateToolsDir}/build-home/*.sh
dos2unix -q ${updateToolsDir}/build-home/*.xml
chmod -R +x ${updateToolsDir}/build-home/*.sh


echo "    for complete refresh, use something similar to following"
echo " " 
echo "    screen -D -RR -h 5000"
echo " " 
echo "    cd ${updateToolsDir}/build-home/"
echo " " 
echo "    #for Europa"
echo "    ./runUpdateAllProjects.sh Europa   -clean | tee out.txt"
echo " " 
echo "    #for Callisto"
echo "    ./runUpdateAllProjects.sh Callisto -clean | tee out.txt"
echo " "
echo " " 
echo "    When complete, be sure to inspect or at least grep the out.txt file for anomilies, e.g. "
echo "        grep failed     out.txt"
echo "        grep error      out.txt"
echo "        grep exception  out.txt"
echo " "

